مشکل bind-chroot در آپدیت کردن لینوکس cPanel با دستور yum

یکی از مشکلاتی که هر از گاهی گریبان مدیران سرور های لینوکس RHEL و کنترل پنل cPanel  را میگیرد پیام خطایی است که هنگام آپدیت لینوکس با دستور yum update با آن مواجه میشوند . متن خطا مربوط به bind-chroot و به شکل زیر است :

Error: Package: 32:bind-chroot-9.8.2-0.17.rc1.el6_4.4.x86_64 (@updates)
Requires: bind = 32:9.8.2-0.17.rc1.el6_4.4
Removing: 32:bind-9.8.2-0.17.rc1.el6_4.4.x86_64 (@updates)
bind = 32:9.8.2-0.17.rc1.el6_4.4
Updated By: 32:bind-9.8.2-0.17.rc1.el6_4.5.x86_64 (updates)
bind = 32:9.8.2-0.17.rc1.el6_4.5
Available: 32:bind-9.8.2-0.17.rc1.el6.x86_64 (base)
bind = 32:9.8.2-0.17.rc1.el6
Available: 32:bind-9.8.2-0.17.rc1.el6.3.x86_64 (updates)
bind = 32:9.8.2-0.17.rc1.el6.3
You could try using –skip-broken to work around the problem
You could try running: rpm -Va –nofiles –nodigest

ساده ترین کار ایگنور کردن و در واقع رد کردن خطا با استفاده از پارامتر  –skip-broken بعد از دستور yum update است است که باعث میشود سایر پکیج های لینوکس آپدیت و به روز رسانی شوند و پکیج مشکل دار که در اینجا bind-chroot است به حال خود رها شود . راه حل دوم این است که فایل کانفیگ yum را ویرایش کنید و مقدار bind-chroot  را از قسمت exclude = حذف کنید :

vi /etc/yum.conf

yum update -y

مشکل پیام خطا در هنگام آپدیت لینوکس و سی پنل با دستور yum

مشکل پیام خطا در هنگام آپدیت لینوکس و سی پنل با دستور yum

مشکل bind-chroot در آپدیت کردن لینوکس cPanel با دستور yum

مشکل خطای Error: Package: 32:bind-chroot-9.8.2-0.17.rc1.el6_4.4.x86_64 (@updates) در هنگام به روز رسانی لینوکس با دستور yum با ترفند های فوق رفع میگردد . در صورتی که مشکل کانفیگ سرور دارید و توانایی کانفیگ حرفه ای سرور خود را ندارید میتوانید درخواست مبنی بر کانفیگ سرور خود را با ما در میان بگذارید . ما سرور شما را به بهترین شکل ممکن کانفیگ خواهیم کرد . برای ارتباط با ما از قسمت تماس با ما در منوی اصلی سایت اقدام کنید . 

پاسخ به کلیه سوالات شما در زمینه وب هاستینگ و مدیریت سرور در انجمن کامپایلر

پاسخ دهید

نشانی ایمیل شما منتشر نخواهد شد. بخش‌های موردنیاز علامت‌گذاری شده‌اند *